name: vocechat
services:
  vocechat:
    environment:
      TZ: $TZ
    image: privoce/vocechat-server:v0.4.0
    deploy:
      resources:
        reservations:
          memory: 64M
    network_mode: bridge
    ports:
      - target: 3000
        published: "3009"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID/home/vocechat-server/data
        target: /home/vocechat-server/data
    x-casaos:
      envs:
        - container: TZ
          description:
            en_us: TimeZone
            zh_cn: 时区
      ports:
        - container: "3000"
          description:
            en_us: WebUI HTTP Port
            zh_cn: WebUI HTTP 端口
      volumes:
        - container: /home/vocechat-server/data
          description:
            en_us: VoceChat Data
            zh_cn: VoceChat 数据
    container_name: vocechat
x-casaos:
  architectures:
    - amd64
  main: vocechat
  author: Privoce
  category: Chat
  description:
    en_us: As a top alternative to centralized chat services, Voce chat is a superlight Rust powered open-core chat app that prioritizes private hosting.
    zh_cn: 作为一款顶级的替代中心化聊天服务的聊天应用，Voce Chat 是一款基于 Rust 的超轻量级开源聊天应用，它优先考虑私有化部署。
    ar_sa: كما بديل رائد لخدمات الدردشة المركزية ، يتم تشغيل تطبيق الدردشة Voce بقوة Rust ذات الوزن الخفيف القصوى والمصدر المفتوح الجزء الأساسي. يهتم التطبيق بالاستضافة الخاصة.
    de_de: Als Top-Alternative zu zentralisierten Chat-Diensten ist Voce Chat eine superleichte Chat-App mit Open-Core, die die private Bereitstellung im Vordergrund stellt.
    es_es: Como una alternativa superior a los servicios de chat centralizados, Voce chat es una aplicación de chat de código abierto superligera impulsada por Rust que prioriza la hospedaje privado.
    fr_fr: En tant qu'alternative de premier plan aux services de chat centralisés, Voce chat est une application de chat super légère propulsée par Rust qui privilégie l'hébergement privé.
    hu_hu: Centrális csevegőszolgáltatásokhoz hasonlóan a Voce chat egy superkönnyű Rust-alapú nyílt forráskódú csevegőalkalmazás, amely a privát kiszolgálást helyezi előtérbe.
    it_it: Come alternativa superiore ai servizi di chat centralizzati, Voce chat è un'app di chat super leggera alimentata da Rust che priorizza l'hosting privato.
    ru_ru: Как верхняя альтернатива централизованным чат-сервисам, Voce chat - это суперлегкая чат-приложение, работающая на Rust, которая приоритетно размещает частные хостинги.
    pl_pl: Jako alternatywa na centralizowane usługi czatu, Voce chat jest superlekka aplikacja czatu napędzana przez Rusta, która priorytuje prywatne hostowanie.
    pt_br: Como uma alternativa superior aos serviços de bate-papo centralizados, o Voce chat é um aplicativo de bate-papo superleve impulsionado por Rust que prioriza o hospedagem privada.
    sv_se: Som en toppalternativ till centraliserade chatttjänster är Voce chat en superlätt Rust-drivet öppen kärnchatapp som prioriterar privat hosting.
    uk_ua: Як верхня альтернатива централізованим чат-сервісам, Voce chat - це суперлегка чат-додаток, працюючий на Rust, яка приоритетно розміщує приватні хостинги.
  developer: Privoce
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/VoceChat/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/VoceChat/screenshot-1.jpg
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/VoceChat/screenshot-2.jpg
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/VoceChat/screenshot-3.jpg
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/VoceChat/screenshot-4.jpg
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/VoceChat/screenshot-5.jpg
  tagline:
    en_us: Have a Private Social Space Hosted on Your Site
    zh_cn: 私有部署的社交空间
    ar_sa: لديك مساحة اجتماعية خاصة مستضافة على موقعك
    de_de: Haben Sie einen privaten sozialen Raum, der auf Ihrer Website gehostet wird
    es_es: Tener un espacio social privado alojado en su sitio
    fr_fr: Avoir un espace social privé hébergé sur votre site
    hu_hu: Legyen egy privát közösségi tér, amely a webhelyén van
    it_it: Avere uno spazio sociale privato ospitato sul tuo sito
    ru_ru: Иметь частное социальное пространство, размещенное на вашем сайте
    pl_pl: Posiadaj prywatne miejsce społeczne, które jest hostowane na Twojej stronie
    pt_br: Tenha um espaço social privado hospedado em seu site
    sv_se: Ha ett privat socialt utrymme som är värd på din webbplats
    uk_ua: Мати приватне соціальне простір, розміщений на вашому сайті
  thumbnail: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/VoceChat/thumbnail.jpg
  tips: {}
  title:
    en_us: VoceChat
  index: /
  port_map: "3009"
